Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class DefaultContainerRenderer

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.PortletContainerRenderer
            |
            +--oracle.portal.provider.v2.render.DefaultContainerRenderer

Direct Known Subclasses:
  ContainerRenderer306, MocContainerRenderer

public class DefaultContainerRenderer
extends PortletContainerRenderer

A PortletContainerRenderer is a utility class that renders the container for a portlet. The container that is renderered may vary depending on the SHOW mode that is being requested. For example, Edit, Edit Defaults. Help, About, and Show Details are all rendered in "full screen" mode whereas the regular Show and Preview modes have variable size containers depending on the size of the portlet.

Field Summary

Fields inherited from class oracle.portal.provider.v2.render.PortletContainerRenderer
`ACTION_PARAM_NAME, CUSTOMIZE_FORM_NAME, DEFAULT_ACTION_PARAM, EDIT_FORM_NAME, HELP_URL, PORTLET_TITLE, PRINT_WRITER, RENDER_CUSTOMIZE, RENDER_MODE`

Constructor Summary
`DefaultContainerRenderer()`

Method Summary
`void` | `renderAboutFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet HELP mode
`void` | `renderAboutFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderAboutFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderAboutHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet HELP mode
`void` | `renderAboutHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderAboutHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderDetailsFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet SHOW_DETAILS mode
`void` | `renderDetailsFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderDetailsFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderDetailsHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet SHOW_DETAILS mode
`void` | `renderDetailsHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderDetailsHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderEditDefaultsFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet EDIT_DEFAULTS mode
`void` | `renderEditDefaultsFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderEditDefaultsFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderEditDefaultsHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet EDIT_DEFAULTS mode
`void` | `renderEditDefaultsHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderEditDefaultsHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderEditFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet EDIT mode
`void` | `renderEditFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderEditFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderEditHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet EDIT mode
`void` | `renderEditHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderEditHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderHelpFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet HELP mode
`void` | `renderHelpFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderHelpFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderHelpHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet HELP mode
`void` | `renderHelpHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderHelpHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderPreviewFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet PREVIEW mode
`void` | `renderPreviewFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderPreviewFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderPreviewHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet PREVIEW mode
`void` | `renderPreviewHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderPreviewHeader(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderShowFooter(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the footer for the portlet SHOW mode
`void` | `renderShowFooter(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderShowFooter(PortletRenderRequest, PrintWriter, Map)`
`void` | `renderShowHeader(PortletRenderRequest request, java.io.PrintWriter out, java.util.Map params)` Renders the header for the portlet SHOW mode
`void` | `renderShowHeader(PortletRenderRequest request, java.io.PrintWriter out, ParameterMap params)` Deprecated. use `renderShowHeader(PortletRenderRequest, PrintWriter, Map)`

Methods inherited from class oracle.portal.provider.v2.render.PortletContainerRenderer
`renderPortletFooter, renderPortletFooter, renderPortletHeader, renderPortletHeader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultContainerRenderer

    public DefaultContainerRenderer()

Method Detail

### renderShowHeader

    public void renderShowHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet SHOW mode

  Overrides:
    `renderShowHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderShowFooter

    public void renderShowFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet SHOW mode

  Overrides:
    `renderShowFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderPreviewHeader

    public void renderPreviewHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    java.util.Map params)
                             throws PortletException,
                                    java.io.IOException

  Renders the header for the portlet PREVIEW mode

  Overrides:
    `renderPreviewHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderPreviewFooter

    public void renderPreviewFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    java.util.Map params)
                             throws PortletException,
                                    java.io.IOException

  Renders the footer for the portlet PREVIEW mode

  Overrides:
    `renderPreviewFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderDetailsHeader

    public void renderDetailsHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    java.util.Map params)
                             throws PortletException,
                                    java.io.IOException

  Renders the header for the portlet SHOW_DETAILS mode

  Overrides:
    `renderDetailsHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderDetailsFooter

    public void renderDetailsFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    java.util.Map params)
                             throws PortletException,
                                    java.io.IOException

  Renders the footer for the portlet SHOW_DETAILS mode

  Overrides:
    `renderDetailsFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditHeader

    public void renderEditHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet EDIT mode

  Overrides:
    `renderEditHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditFooter

    public void renderEditFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet EDIT mode

  Overrides:
    `renderEditFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditDefaultsHeader

    public void renderEditDefaultsHeader(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         java.util.Map params)
                                  throws PortletException,
                                         java.io.IOException

  Renders the header for the portlet EDIT_DEFAULTS mode

  Overrides:
    `renderEditDefaultsHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditDefaultsFooter

    public void renderEditDefaultsFooter(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         java.util.Map params)
                                  throws PortletException,
                                         java.io.IOException

  Renders the footer for the portlet EDIT_DEFAULTS mode

  Overrides:
    `renderEditDefaultsFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderHelpHeader

    public void renderHelpHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the header for the portlet HELP mode

  Overrides:
    `renderHelpHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderHelpFooter

    public void renderHelpFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 java.util.Map params)
                          throws PortletException,
                                 java.io.IOException

  Renders the footer for the portlet HELP mode

  Overrides:
    `renderHelpFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderAboutHeader

    public void renderAboutHeader(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  java.util.Map params)
                           throws PortletException,
                                  java.io.IOException

  Renders the header for the portlet HELP mode

  Overrides:
    `renderAboutHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderAboutFooter

    public void renderAboutFooter(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  java.util.Map params)
                           throws PortletException,
                                  java.io.IOException

  Renders the footer for the portlet HELP mode

  Overrides:
    `renderAboutFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderShowHeader

    public void renderShowHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderShowHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet SHOW mode

  Overrides:
    `renderShowHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderShowFooter

    public void renderShowFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderShowFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet SHOW mode

  Overrides:
    `renderShowFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderPreviewHeader

    public void renderPreviewHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Deprecated. use `renderPreviewHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet PREVIEW mode

  Overrides:
    `renderPreviewHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderPreviewFooter

    public void renderPreviewFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Deprecated. use `renderPreviewFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet PREVIEW mode

  Overrides:
    `renderPreviewFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderDetailsHeader

    public void renderDetailsHeader(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Deprecated. use `renderDetailsHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet SHOW_DETAILS mode

  Overrides:
    `renderDetailsHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderDetailsFooter

    public void renderDetailsFooter(PortletRenderRequest request,
                                    java.io.PrintWriter out,
                                    ParameterMap params)
                             throws PortletException,
                                    java.io.IOException

  Deprecated. use `renderDetailsFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet SHOW_DETAILS mode

  Overrides:
    `renderDetailsFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditHeader

    public void renderEditHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderEditHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet EDIT mode

  Overrides:
    `renderEditHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditFooter

    public void renderEditFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderEditFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet EDIT mode

  Overrides:
    `renderEditFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditDefaultsHeader

    public void renderEditDefaultsHeader(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         ParameterMap params)
                                  throws PortletException,
                                         java.io.IOException

  Deprecated. use `renderEditDefaultsHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet EDIT_DEFAULTS mode

  Overrides:
    `renderEditDefaultsHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderEditDefaultsFooter

    public void renderEditDefaultsFooter(PortletRenderRequest request,
                                         java.io.PrintWriter out,
                                         ParameterMap params)
                                  throws PortletException,
                                         java.io.IOException

  Deprecated. use `renderEditDefaultsFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet EDIT_DEFAULTS mode

  Overrides:
    `renderEditDefaultsFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderHelpHeader

    public void renderHelpHeader(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderHelpHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet HELP mode

  Overrides:
    `renderHelpHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderHelpFooter

    public void renderHelpFooter(PortletRenderRequest request,
                                 java.io.PrintWriter out,
                                 ParameterMap params)
                          throws PortletException,
                                 java.io.IOException

  Deprecated. use `renderHelpFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet HELP mode

  Overrides:
    `renderHelpFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderAboutHeader

    public void renderAboutHeader(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  ParameterMap params)
                           throws PortletException,
                                  java.io.IOException

  Deprecated. use `renderAboutHeader(PortletRenderRequest, PrintWriter, Map)`

  Renders the header for the portlet ABOUT mode

  Overrides:
    `renderAboutHeader` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

### renderAboutFooter

    public void renderAboutFooter(PortletRenderRequest request,
                                  java.io.PrintWriter out,
                                  ParameterMap params)
                           throws PortletException,
                                  java.io.IOException

  Deprecated. use `renderAboutFooter(PortletRenderRequest, PrintWriter, Map)`

  Renders the footer for the portlet ABOUT mode

  Overrides:
    `renderAboutFooter` in class `PortletContainerRenderer`
  Parameters:
    `request` - the portlet render request
    `out` - PrintWriter that should be used to write the portlet header
    `params` - additional parameters passed in by the PortletRenderer
    `PortletException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.